summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author doclai <toi@doclai.com>2024-04-27 06:44:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-04-27 07:21:10 +0700
commit996274de3b806d0230f82610f22f42dcf9e0cc29 (patch)
tree01a3cbf5e829f1998fbd297af980d3e0fc6beba1 /office
parent39119590828f4bdd4ee11cb03c1551cfc1bb421a (diff)
downloadslackbuilds-996274de3b806d0230f82610f22f42dcf9e0cc29.tar.gz
slackbuilds-996274de3b806d0230f82610f22f42dcf9e0cc29.tar.xz
office/epr: Added (CLI Epub Reader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/epr/README11
-rw-r--r--office/epr/epr.SlackBuild79
-rw-r--r--office/epr/epr.info10
-rw-r--r--office/epr/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/office/epr/README b/office/epr/README
new file mode 100644
index 0000000000..a791c92707
--- /dev/null
+++ b/office/epr/README
@@ -0,0 +1,11 @@
+Terminal/CLI Epub reader written in Python 3.6 with features:
+
+Remembers last read file (just run epr without any argument)
+Remembers last reading state for each file
+Per file saved state
+Adjustable text area width
+Adaptive to terminal resize
+Supports EPUB3 (no audio support)
+Secondary vim-like bindings
+Supports opening images
+Dark/Light colorscheme (depends on terminal color capability)
diff --git a/office/epr/epr.SlackBuild b/office/epr/epr.SlackBuild
new file mode 100644
index 0000000000..a2fa151e30
--- /dev/null
+++ b/office/epr/epr.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+# Slackware build script for epr
+
+# Copyright 2024 doclai <toi@doclai.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=epr
+VERSION=${VERSION:-2.4.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+GOOS=linux
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ x86_64) PRINTARCH=amd64 ;;
+ i586) PRINTARCH=386 ;;
+ *) PRINTARCH=$ARCH ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+install -dm 755 "$PKG/usr/bin"
+install -Dm 644 LICENSE "$PRGNAM/usr/share/licenses/$PRGNAM/LICENSE"
+
+install -Dm 644 epr.py "$PKG/usr/bin/epr"
+chmod +x "$PKG/usr/bin/epr"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/epr/epr.info b/office/epr/epr.info
new file mode 100644
index 0000000000..70443965dd
--- /dev/null
+++ b/office/epr/epr.info
@@ -0,0 +1,10 @@
+PRGNAM="epr"
+VERSION="2.4.15"
+HOMEPAGE="https://github.com/wustho/epr"
+DOWNLOAD="https://github.com/wustho/epr/archive/refs/tags/v2.4.15.tar.gz"
+MD5SUM="85c49a9faaf8a69b750d949572d8bbfe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="doclai"
+EMAIL="toi@doclai.com"
diff --git a/office/epr/slack-desc b/office/epr/slack-desc
new file mode 100644
index 0000000000..b8a352767b
--- /dev/null
+++ b/office/epr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+epr: epr (Terminal/CLI Epub reader)
+epr:
+epr:
+epr: Homepage: https://github.com/wustho/epr
+epr:
+epr:
+epr:
+epr:
+epr:
+epr:
+epr: